<h1>New report</h1>

  Hello {{getCurrentUserFirstname()}} <br>
  Please leave a report <br>
  
  <!-- Header -->
  <h3> Header: </h3>

  <div class="form-example">
    <label>Header: </label>
    <input type="text" cols="40" rows="5" required [(ngModel)]="header">
  </div>


  <br>
  <!-- Statements -->
  <h3> Statements: </h3>
  
  <div class="form-example">
    <label>Inside air temperature: </label>
    
    <input type="number" min="-40" max="60" style="width: 50px;" [(ngModel)]="airTemp">
    <br>
    <input type="range" min="-40" max="60" [(ngModel)]="airTemp">
    {{airTemp}} °C
  </div>
  
  <br>

  <div class="form-example">
    <label>Inside air Humidity: </label>
    
    <input type="number" min="0" max="100" style="width: 50px;" [(ngModel)]="airHumidity">
    <br>
    <input type="range" min="0" max="100" [(ngModel)]="airHumidity">
    {{airHumidity}} %
  </div>
  
  <br>

  <div class="form-example">
    <label>Outside air temperature: </label>
    
    <input type="number" min="-40" max="60" style="width: 50px;" [(ngModel)]="outsideAirTemp">
    <br>
    <input type="range" min="-40" max="60" [(ngModel)]="outsideAirTemp">
    {{outsideAirTemp}} °C
  </div>
  
  <br>

  <div class="form-example">
    <label>Outside air Humidity: </label>
    
    <input type="number" min="0" max="100" style="width: 50px;" [(ngModel)]="outsideAirHumidity">
    <br>
    <input type="range" min="0" max="100" [(ngModel)]="outsideAirHumidity">
    {{outsideAirHumidity}} %
  </div> 
  
  <br>
  
  <div class="form-example">
    <label>Water PH: </label>
    <input type="number" min="1" max="14" style="width: 50px;" [(ngModel)]="waterPH">
    <br>
    <input type="range" min="1" max="14" [(ngModel)]="waterPH">
    {{waterPH}}
  </div>

  <br>
  
  <div class="form-example">
    <label>Water temperature: </label>
    <input type="number" min="0" max="50" style="width: 50px;" [(ngModel)]="waterTemp">
    <br>
    <input type="range" min="0" max="50" [(ngModel)]="waterTemp">
    {{waterTemp}} °C
  </div>

  <br>

  <div class="form-example">
    <label>Water conductivity: </label>
    <input type="number" min="0" max="100" style="width: 50px;" [(ngModel)]="waterConductivity">
    <br>
    <input type="range" min="0" max="100" [(ngModel)]="waterConductivity">
    {{waterConductivity}}
  </div>

  <br>

  <div class="form-example">
    <label>Water oximeter: </label>
    <input type="number" min="0" max="100" style="width: 50px;" [(ngModel)]="waterOximeter">
    <br>
    <input type="range" min="0" max="100" [(ngModel)]="waterOximeter">
    {{waterOximeter}}
  </div>

  <br>
  <!-- Tasks -->
  <h3> Tasks done: </h3>
  
  <div class="form-example">
    <label>Fertilizer added: </label>
    <input type="checkbox" [(ngModel)]="fertilizer" >
  </div>

  <div class="form-example">
    <label>Fishies fed: </label>
    <input type="checkbox" [(ngModel)]="fishies" >
  </div>

  <div class="form-example">
    <label>Water filled: </label>
    <input type="checkbox" [(ngModel)]="water" >
  </div>

  <br>
  <!--commentaire-->
  <h3> Comment: </h3>

  <div class="form-example">
    <label>Comment: </label>
    <input type="text" cols="40" rows="5" [(ngModel)]="comment">
  </div>

  <!-- Submit -->
  <br> <br> <br> <br> <br>
  <div class="form-example" style ="position: absolute; bottom:5%">
    <input type="submit" value="Submit" (click)="publierReport()">
  </div>
  <p style="color: red" >{{error}}</p>

